<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets">

	<h:dataTable value="#{serviceRequestListController.pendingRequests}"
		var="sr" border="1" cellpadding="2" cellspacing="0">
		<h:column>
			<f:facet name="header">
				<h:outputText value="#{strings.request_number}" />
			</f:facet>
			<h:outputLabel value="#{sr.number}" />
		</h:column>
		<h:column>
			<f:facet name="header">
				<h:outputText value="#{strings.creation_date}" />
			</f:facet>
			<h:outputLabel value="#{sr.date}">
				<f:convertDateTime pattern="dd/MM/yyyy hh:mm" />
			</h:outputLabel>
		</h:column>
		<h:column>
			<f:facet name="header">
				<h:outputText value="#{strings.description}" />
			</f:facet>
			<h:outputLabel value="#{sr.description}" />
		</h:column>
		<h:column>
			<f:facet name="header">
				<h:outputText value="#{strings.requester}" />
			</f:facet>
			<h:outputLabel value="#{sr.requester.code} - #{sr.requester.name}" />
		</h:column>
		<h:column>
			<h:form>
				<h:commandButton value="#{strings.create_project}"
					action="#{projectCreationController.create}">
					<f:setPropertyActionListener
						target="#{projectCreationController.serviceRequest}" value="#{sr}" />
				</h:commandButton>
			</h:form>
		</h:column>
	</h:dataTable>
</ui:composition>